EDIT - feature request #6779

Allow drag&drop for features in GrantedAuthority editor

07/06/2017 02:14 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

It should be possible to drag&drop features to the GrantedAuthority editor, just like taxon nodes.

Associated revisions

Revision 63d2e106 - 02/07/2018 06:21 PM - Patrick Plitzner
ref #6779 Allow dragging of features into authority editor

Revision 8dbaa0eb - 02/15/2018 11:03 AM - Andreas Miiller

ref #6779 add Feature to CdmPermissionClass and sort entries in CdmPermissionClass

Revision b00ca8de - 03/02/2018 10:45 AM - Patrick Plitzner
ref #6779 layout optimization

Revision dc57edc9 - 03/02/2018 10:49 AM - Patrick Plitzner

fix #6779 show title cache for features instead of UUID

Revision db0db938 - 03/02/2018 11:11 AM - Patrick Plitzner
fix #6779 set dirty flag to false when disposing

History

#1 - 07/06/2017 02:14 PM - Andreas Miiller

- Description updated

#2 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#3 - 09/24/2017 01:01 AM - Andreas Mdiller

- Target version changed from Release 4.10 to Release 4.11

#4 - 09/24/2017 01:02 AM - Andreas Miiller

- Assignee changed from Katja Luther to Patrick Plitzner

#5 - 11/08/2017 11:22 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:17 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:29 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/07/2018 06:22 PM - Patrick Plitzner

- Status changed from New to Feedback
- Assignee changed from Patrick Plitzner to Andreas Miiller

| added DnD support for features but when you drag a feature into the editor a parse error occurrs.

@Andreas M.: Could you have a look?

#9 - 02/14/2018 03:27 PM - Andreas Miller

- Assignee changed from Andreas Miiller to Patrick Plitzner

This is probably related to the fact that Feature is not yet part of the CdmPermissionClass

#10 - 02/15/2018 11:05 AM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

| added FEATURE to CdmPermissionClass. Will test if it works when built in jenkins.

#11 - 02/15/2018 11:41 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

D&D works now. Only open issue: the label is not shown in the "Entity" field, but only the uuid.

#12 - 02/16/2018 12:52 PM - Patrick Plitzner

- Target version changed from Release 4.14 to Release 5.0

moving to current milestone

#13 - 03/02/2018 10:50 AM - Patrick Plitzner
- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|dc57edc9b1ab087348d90e8c9d9fc9d08ed7{2b6.

#14 - 03/02/2018 10:50 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#15 - 04/27/2018 02:04 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner
- % Done changed from 50 to 100
Works fine now.
(Only the save button is not disabled after save, but this is another issue)
#16 - 05/07/2018 01:28 PM - Andreas Miiller
Andreas Muller wrote:
Works fine now.

(Only the save button is not disabled after save, but this is another issue)

Save button also works now
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/dc57edc9b1ab087348d90e8c9d9fc9d08ed7f2b6
